Bug 544358 - gas creates wrong code which results in a test failure in cryptopp's sha2 test
Summary: gas creates wrong code which results in a test failure in cryptopp's sha2 test
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: 13
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 539227 544359
TreeView+ depends on / blocked
 
Reported: 2009-12-04 17:34 UTC by nucleo
Modified: 2012-01-11 19:58 UTC (History)
6 users (show)

Fixed In Version: binutils-2.20.51.0.2-9.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 544359 (view as bug list)
Environment:
Last Closed: 2010-04-21 16:53:22 UTC
Type: ---


Attachments (Terms of Use)

Description nucleo 2009-12-04 17:34:33 UTC
Description of problem:
cryptest from cryptopp hangs up when built for fc13.
cryptest is running in %check section of cryptopp.spec, so cryptopp can't be built for fc13.
For fc12 cryptopp builds fine.


Version-Release number of selected component (if applicable):
binutils 2.20.51.0.2-8.fc13


See the same issues here:

http://sourceware.org/bugzilla/show_bug.cgi?id=10856

https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/461303

Comment 1 Nick Clifton 2009-12-09 12:09:27 UTC
Hi Alec,

  I have imported Alan Modra's patch for PR 10856 into the devel binutils rpm.  Please try using the latest release (2.20.51.0.2-9), and if you still have problems, let us know.

Cheers
  Nick

Comment 2 nucleo 2009-12-09 15:06:21 UTC
Hi Nick,

With binutils 2.20.51.0.2-9.fc13 cryptopp test not fails.

Finally cryptopp-5.6.1-0.1.svn479.fc13 built:
http://koji.fedoraproject.org/koji/buildinfo?buildID=143094

Should I close this bug?

Alexey

Comment 3 Zooko O'Whielacronx 2009-12-13 21:03:18 UTC
This page on launchpad is tracking the progress of this issue through several different operating systems and open source projects that are affected by this bug.  I added a link to this ticket on bugzilla.redhat.com:

https://bugs.launchpad.net/fedora/+source/binutils/+bug/461303

Comment 4 Michal Nowak 2010-04-21 16:53:22 UTC
Notes: Changing version to 13 from 12, since wrt comment 0 it is clear that F-13 had that issue not F-12. Closing, we have update.

Comment 5 Zooko O'Whielacronx 2012-01-11 19:58:39 UTC
If anybody reading this has the authority to change the status of tickets in launchpad, please mark this as fixed there: https://bugs.launchpad.net/fedora/+source/binutils/+bug/461303 . Thanks!


Note You need to log in before you can comment on or make changes to this bug.